Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
tag: nexus-migratio…
Fetching contributors…

Cannot retrieve contributors at this time

159 lines (150 sloc) 5.638 kB
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<parent>
<groupId>org.sonatype.nexus.plugins</groupId>
<artifactId>nexus-plugins-parent</artifactId>
<version>3</version>
<relativePath>../nexus-plugins-parent/pom.xml</relativePath>
</parent>
<artifactId>nexus-migration-plugin</artifactId>
<version>1.0</version>
<packaging>pom</packaging>
<name>Nexus Migration Plugin</name>
<modules>
<module>nexus-migration-plugin-configuration</module>
<module>nexus-migration-plugin-artifactory</module>
<module>nexus-migration-plugin-artifactory-bridge</module>
<module>nexus-migration-plugin-packaging</module>
<!--<module>nexus-migration-plugin-test-harness</module>-->
</modules>
<properties>
<nexus.version>1.3.1</nexus.version>
<plexus.version>1.0-beta-3.0.5</plexus.version>
</properties>
<dependencyManagement>
<dependencies>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus</artifactId>
<version>${nexus.version}</version>
<type>pom</type>
<scope>import</scope>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-rest-api</artifactId>
<version>${nexus.version}</version>
<exclusions>
<exclusion>
<groupId>velocity</groupId>
<artifactId>velocity</artifactId>
</exclusion>
<exclusion>
<groupId>commons-logging</groupId>
<artifactId>commons-logging</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.sonatype.nexus</groupId>
<artifactId>nexus-rest-api</artifactId>
<version>${nexus.version}</version>
<classifier>tests</classifier>
<scope>test</scope>
<exclusions>
<exclusion>
<groupId>velocity</groupId>
<artifactId>velocity</artifactId>
</exclusion>
<exclusion>
<groupId>commons-logging</groupId>
<artifactId>commons-logging</artifactId>
</exclusion>
</exclusions>
</dependency>
</dependencies>
</dependencyManagement>
<build>
<plugins>
<plugin>
<artifactId>maven-source-plugin</artifactId>
<executions>
<execution>
<id>attach-sources</id>
<phase>verify</phase>
<goals>
<goal>jar</goal>
</goals>
</execution>
</executions>
</plugin>
<plugin>
<groupId>org.codehaus.plexus</groupId>
<artifactId>plexus-component-metadata</artifactId>
<version>${plexus.version}</version>
<executions>
<execution>
<id>process-classes</id>
<goals>
<goal>generate-metadata</goal>
</goals>
</execution>
<execution>
<id>process-test-classes</id>
<goals>
<goal>generate-test-metadata</goal>
</goals>
</execution>
</executions>
</plugin>
<plugin>
<artifactId>maven-enforcer-plugin</artifactId>
<version>1.0-alpha-4</version>
<executions>
<execution>
<goals>
<goal>enforce</goal>
</goals>
<!-- we don't need these until JUST BEFORE integration testing,
so moving to a later phase to get out of
the way of m2eclipse. -->
<phase>package</phase>
<id>enforce</id>
<configuration>
<rules>
<bannedDependencies>
<excludes>
<exclude>velocity:velocity:jar:1.4</exclude>
<exclude>velocity:velocity-dep:jar:1.4</exclude>
</excludes>
<message> Velocity 1.4 is banned, Velocity 1.5 should be used! You probably added a dependency that is missing the exclusions. </message>
</bannedDependencies>
<bannedDependencies>
<excludes>
<exclude>commons-logging:*</exclude>
</excludes>
<message> commons-logging conflicts with slf4j. You probably added a dependency that is missing the exclusions. </message>
</bannedDependencies>
<bannedDependencies>
<excludes>
<exclude>*:plexus-component-api</exclude>
</excludes>
<message> plexus-component-api conflicts with newer plexus-container-default. You probably added a dependency that is plexus component made with older plexus container. </message>
</bannedDependencies>
<!-- <requirePluginVersions>
<banSnapshots>false</banSnapshots>
</requirePluginVersions>-->
</rules>
<fail>true</fail>
</configuration>
</execution>
</executions>
</plugin>
</plugins>
</build>
<scm>
<connection>scm:svn:http://svn.sonatype.org/nexus-plugins/tags/nexus-migration-plugin-1.0</connection>
<developerConnection>scm:svn:https://svn.sonatype.org/nexus-plugins/tags/nexus-migration-plugin-1.0</developerConnection>
<url>http://svn.sonatype.org/nexus-plugins/tags/nexus-migration-plugin-1.0</url>
</scm>
</project>
Jump to Line
Something went wrong with that request. Please try again.